/*
 * Copyright (c) 2019 Fairphone B.V.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __INIT_GLES_VERSION_H__
#define __INIT_GLES_VERSION_H__

/*
 * Initialize ro.opengles.version based on experimental feature selection.
 *
 * Starting from Android 7, support for OpenGL ES 3.0 is experimental on
 * Fairphone FP2. Allow users to enable it, otherwise fall back to version 2.0.
 * This function needs to be called early during the boot process. On encrypted
 * devices, it needs to be called after userdata becomes available but before
 * the framework is fully launched.
 *
 * Because read-only system properties can only be initialized once, this
 * function must be called exactly once during the boot process.
 */
void init_gles_version();

#endif /* __INIT_GLES_VERSION_H__ */
